For the complete documentation index, see llms.txt. This page is also available as Markdown.

Udyam Verification Without OTP

Verify Udyam registration details issued to MSME businesses by the Government of India and fetch enterprise, business, address, classification, and registration certificate details without OTP authentication.

udyam_verification_without_otp

POST https://secctrl.tutelar.io/api/v1/services/business_profile/udyam_verification_wo_otp

Sample Request Body

Body
Type
Mandatory
Description

udyamRegistrationNo

string

Yes

Udyam Registration Number of the entity

consent

String

Yes

Consent is required to make the API request.

Sample Post Parameters

{
    "udyamRegistrationNo": "UDYAM-MP-23-0007772",
    "consent": "Y",
}
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "82f1d264-1a51-4294-9f6a-6ad02cf66e63",
  "status": "completed",
  "result": {
    "udyamRegistrationNumber": "UDYAM-MP-23-0007776",
    "dateOfRegistration": "2020-12-09",
    "interestedInTreds": null,
    "interestedInGem": null,
    "profile": {
      "name": "M/S. SHIVALOMAL AND SONS- PROPRIETOR- SHRI HITESH PARYANI",
      "majorActivity": "Manufacturing",
      "organizationType": "Proprietary",
      "ownerName": null,
      "pan": null,
      "previousITRStatus": null,
      "itrType": null,
      "gstnStatus": null,
      "mobile": null,
      "emailId": null,
      "socialCategory": "General",
      "gender": "Male",
      "speciallyAbled": null,
      "dateOfIncorporation": "2005-05-26",
      "dateOfCommencement": "2005-05-26"
    },
    "bankDetails": {
      "bank": null,
      "ifsc": null,
      "acNo": null
    },
    "employmentDetails": {
      "male": null,
      "female": null,
      "others": null,
      "total": null
    },
    "financials": {
      "financialYear": null,
      "details": {
        "wdvPme": null,
        "exclusion": null,
        "netInvestmentInPme": null,
        "totalTurnover": null,
        "exportTurnover": null,
        "netTurnover": null
      }
    },
    "branchDetails": [
      {
        "name": "M/S. SHIVALOMAL AND SONS- PROPRIETOR- SHRI HITESH PARYANI",
        "flat": "56-57,",
        "premises": "INDRESHWAR MARG,",
        "village": "MACCHI BAZAR,",
        "block": "INDORE",
        "road": "INDORE",
        "city": "INDORE",
        "state": "MADHYA PRADESH",
        "pincode": "452001",
        "district": "INDORE"
      }
    ],
    "officialAddress": {
      "flat": "56-57,",
      "premises": "INDRESHWAR MARG,",
      "village": "MACCHI BAZAR,",
      "block": "INDORE",
      "road": "INDORE",
      "city": "INDORE",
      "state": "MADHYA PRADESH",
      "pincode": "452001",
      "district": "indore",
      "email": "hardikparyani19@gmail.com",
      "mobile": "88*****346"
    },
    "industry": [
      {
        "industry": "Manufacture of fabricated metal products, except machinery and equipment",
        "subSector": "Manufacture of other fabricated metal products n.e.c.",
        "activityDescription": "Manufacture of metal household articles (plates, saucers, pots, kettles, saucepans, frying pans and other non-electrical utensils, small hand-operated kitchen appliances and accessories)",
        "industryCode": "25",
        "subSectorCode": "2599",
        "nicCode": "25994",
        "activity": "Manufacturing"
      }
    ],
    "enterpriseType": [
      {
        "classificationYear": "2020-21",
        "enterpriseType": "Micro",
        "classificationDate": "2020-12-09"
      }
    ],
    "pdfUrl": "http://3.108.106.182:8000/image-pub/kyc/TUTWEBK0XXXXx/udyamVerificationDocuments/udyam_certificate_1779342238820-1234xxxxxxxxxx.pdf"
  },
  "requested_at": "2026-05-21T05:44:05.261Z",
  "completed_at": "2026-05-21T05:44:05.462Z"
}

Get details

GET https://secctrl.tutelar.io/api/v1/services/business_profile/udyam_verification_wo_otp

Query parameters description is given below,

Query Parameter
Type
Is Mandatory
Description

reference_id

String

Yes

Document reference id

Last updated